---
updatedAt: 2026-10-01T07:04:54.000Z
agentTools:
  projectIndex: https://docs.nexhealth.com/v2.2.2/llms.txt
---

# View patient

This endpoint returns a single patient by its NexHealth ID.

**Response updates**

* `Patient_balance` has been deprecated and will always return an amount of "0". Please use NexHealth's financial endpoints to get balance information.

**Partially supported fields**

* `billing_type` is only available for Open Dental, Dentrix, and Dentrix Enterprise.
* `chart_id` and `preferred_language` are only available for Open Dental, Dentrix, Dentrix Enterprise, and OrthoTrac. In Open Dental, patients will only have a chart\_id if they are an orthodontic patient.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NexHealth API v2.2.2 (Deprecated)",
    "description": "> **⚠️ Deprecated.** v2.2.2 is the legacy version of the NexHealth API and is deprecated; new development should target v3.0.0 (also known by its original date-based name v20240412). Our migration guide walks through every breaking change: https://docs.nexhealth.com/v20240412/docs/api-v2-to-v20240412-migration-guide\n\nWelcome to the developer hub and documentation for NexHealth API. This section of guide describes the operations, response parameters, request parameters, and parameter constraints related to User API. The term Operations refer to functions or methods. The operations are included in requests and send to the web server. Each operation performs a different action or a query on database.",
    "termsOfService": "https://www.nexhealth.com/terms-of-service",
    "contact": {
      "name": "NexHealth",
      "email": "info@nexhealth.com"
    },
    "license": {
      "name": "NexHealth License 1.0",
      "url": "https://www.nexhealth.com/privacy"
    },
    "version": "v2"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Patients",
      "description": "A patients resource"
    }
  ],
  "paths": {
    "/patients/{id}": {
      "get": {
        "summary": "View patient",
        "description": "This endpoint returns a single patient by its NexHealth ID.",
        "parameters": [
          {
            "in": "header",
            "name": "Nex-Api-Version",
            "description": "The NexHealth API version",
            "required": true,
            "schema": {
              "type": "string",
              "default": "v2"
            }
          },
          {
            "in": "path",
            "name": "id",
            "description": "Id of the patient",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "in": "query",
            "name": "subdomain",
            "description": "Used to scope the request to the specified institution",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "include[]",
            "description": "Resources to be included in the response",
            "required": false,
            "explode": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "upcoming_appts",
                  "last_visited_appointment",
                  "children",
                  "guarantor",
                  "provider",
                  "procedures",
                  "insurance_coverages",
                  "adjustments",
                  "charges",
                  "payments",
                  "patient_alerts",
                  "address"
                ]
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_V2_Entities_PatientDetailed_Response"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_BadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Forbidden"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_InternalServerError"
                }
              }
            }
          }
        },
        "tags": [
          "Patients"
        ],
        "operationId": "getPatientsId"
      }
    }
  },
  "servers": [
    {
      "url": "https://nexhealth.info"
    }
  ],
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "API_V2_Entities_Price": {
        "type": "object",
        "properties": {
          "amount": {
            "type": "string",
            "example": "62.00",
            "description": "The currency value, in whole units (e.g. dollars)"
          },
          "currency": {
            "type": "string",
            "example": "USD",
            "description": "The ISO currency code"
          }
        }
      },
      "API_V2_Entities_Procedure": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 11,
            "description": "Procedure id"
          },
          "location_id": {
            "type": "integer",
            "format": "int32",
            "example": 21,
            "description": "Location id",
            "nullable": true
          },
          "patient_id": {
            "type": "integer",
            "format": "int32",
            "example": 162,
            "description": "Patient id",
            "nullable": true
          },
          "provider_id": {
            "type": "integer",
            "format": "int32",
            "example": 84,
            "description": "Provider id",
            "nullable": true
          },
          "appointment_id": {
            "type": "integer",
            "format": "int64",
            "example": 283,
            "description": "Appointment id. Null when the procedure is not attached to an appointment",
            "nullable": true
          },
          "code": {
            "type": "string",
            "example": "D6100",
            "description": "Procedure code",
            "nullable": true
          },
          "name": {
            "type": "string",
            "example": "Implant Removal",
            "description": "Procedure name",
            "nullable": true
          },
          "status": {
            "type": "string",
            "enum": [
              "planned",
              "scheduled",
              "completed",
              "inactive",
              "referred",
              "existing"
            ],
            "example": "completed",
            "description": "Procedure status",
            "nullable": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "Procedure update date in UTC"
          },
          "body_site": {
            "$ref": "#/components/schemas/API_V2_Entities_ProcedureBodySite"
          },
          "fee": {
            "$ref": "#/components/schemas/API_V2_Entities_Price"
          },
          "start_date": {
            "type": "string",
            "format": "date",
            "example": "2022-06-24",
            "description": "Start date for procedure",
            "nullable": true
          },
          "end_date": {
            "type": "string",
            "format": "date",
            "example": "2022-06-24",
            "description": "End date for procedure",
            "nullable": true
          }
        }
      },
      "API_V2_Entities_ProcedureBodySite": {
        "type": "object",
        "properties": {
          "tooth": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "3",
              "14"
            ],
            "description": "Tooth identifier strings, typically tooth numbers"
          },
          "surface": {
            "type": "string",
            "example": "MOD",
            "description": "Tooth surface codes"
          }
        }
      },
      "API_Errors_BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_BadRequest model"
      },
      "API_Errors_Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Unauthorized model"
      },
      "API_Errors_Forbidden": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Forbidden model"
      },
      "API_Errors_InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_InternalServerError model"
      },
      "API_Errors_NotFound": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_NotFound model"
      },
      "API_V2_Entities_User": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 415,
            "description": "User id"
          },
          "email": {
            "type": "string",
            "example": "Amy.Ramos@nexhealth.com",
            "description": "User email",
            "nullable": true
          },
          "first_name": {
            "type": "string",
            "example": "John",
            "description": "First name"
          },
          "middle_name": {
            "type": "string",
            "example": "Anthony",
            "description": "Middle name",
            "nullable": true
          },
          "last_name": {
            "type": "string",
            "example": "Smith",
            "description": "Last name"
          },
          "name": {
            "type": "string",
            "example": "John Smith",
            "description": "Full name"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "User creation date in UTC"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "User last updation date in UTC"
          },
          "institution_id": {
            "type": "integer",
            "format": "int32",
            "example": 105,
            "description": "The institution this user belongs to"
          },
          "foreign_id": {
            "type": "string",
            "example": "100437",
            "description": "Identifier NexHealth uses to uniquely match this record to its counterpart in the integrated EHR. How it is derived differs between EHRs and may change; treat it as an opaque string and do not parse it.",
            "nullable": true
          },
          "foreign_id_type": {
            "type": "string",
            "example": "--DataSource-",
            "description": "Foreign Id type is a unique string identifier for the integrated system"
          },
          "bio": {
            "type": "object",
            "example": {
              "city": "New York",
              "state": "NY",
              "gender": "Female",
              "zip_code": "20814",
              "new_patient": false,
              "non_patient": true,
              "phone_number": "5163042196",
              "date_of_birth": "1964-05-03",
              "address_line_1": "",
              "address_line_2": "",
              "street_address": "",
              "cell_phone_number": "",
              "home_phone_number": "",
              "work_phone_number": ""
            },
            "description": "Patient biographical data, fields shown in our example response represent all possible data we retrieve but depending on system and what is actually saved in the health records system you cannot assume any field will consistently be returned"
          },
          "inactive": {
            "type": "boolean",
            "example": false,
            "description": "Is the user inactivated?"
          },
          "last_sync_time": {
            "type": "string",
            "format": "date-time",
            "example": "2024-04-12T10:30:00Z",
            "description": "The most recent time the resource's data changed meaningfully at the source",
            "nullable": true
          }
        }
      },
      "API_V2_Entities_Insurance_Subscriber": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 415,
            "description": "The subscriber's id"
          },
          "name": {
            "type": "string",
            "example": "John Smith",
            "description": "The subscriber's full name"
          },
          "date_of_birth": {
            "type": "string",
            "example": "1990-06-05",
            "description": "The subscriber's date of birth in YYYY-MM-DD format",
            "nullable": true
          }
        }
      },
      "API_V2_Entities_AppointmentBasic": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1822,
            "description": "Appointment id"
          },
          "provider_id": {
            "type": "integer",
            "format": "int32",
            "example": 102,
            "description": "Provider id"
          },
          "provider_name": {
            "type": "string",
            "example": "Dr. John Smith",
            "description": "Provider name"
          },
          "start_time": {
            "type": "string",
            "format": "date-time",
            "example": "2021-12-06T09:45:00.000Z",
            "description": "Start time of the appointment in UTC"
          },
          "end_time": {
            "type": "string",
            "format": "date-time",
            "example": "2021-12-06T10:00:00.000Z",
            "description": "End time of the appointment in UTC"
          },
          "location_id": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "description": "Location id"
          },
          "confirmed": {
            "type": "boolean",
            "example": true,
            "description": "Is this appointment confirmed?"
          }
        }
      },
      "API_V2_Entities_Insurance_PatientCoverageForIndividual": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 18,
            "description": "Coverage id"
          },
          "subscription_relation": {
            "type": "string",
            "enum": [
              "self",
              "spouse",
              "child",
              "employee",
              "handicap_dep",
              "signif_other",
              "injured_plaintiff",
              "life_partner",
              "dependent",
              "other"
            ],
            "example": "self",
            "description": "The relationship of this patient to the subscriber"
          },
          "patient_id": {
            "type": "integer",
            "format": "int32",
            "example": 25,
            "description": "The ID of the covered patient",
            "nullable": true
          },
          "priority": {
            "type": "integer",
            "format": "int32",
            "example": 2,
            "description": "The relative priority of this insurance coverage where the lowest value is the patient's primary insurance\nand higher values represent secondary and tertiary policies",
            "nullable": true
          },
          "plan_id": {
            "type": "integer",
            "format": "int64",
            "example": 18,
            "description": "The ID of the insurance plan this coverage subscribes to",
            "nullable": true
          },
          "subscriber_num": {
            "type": "string",
            "example": "123456789",
            "description": "The subscriber's identification number for the plan",
            "nullable": true
          },
          "effective_date": {
            "type": "string",
            "format": "date",
            "example": "2022-01-01",
            "description": "The date the coverage takes effect",
            "nullable": true
          },
          "expiration_date": {
            "type": "string",
            "format": "date",
            "example": "2022-12-31",
            "description": "The date the coverage expires",
            "nullable": true
          },
          "plan": {
            "$ref": "#/components/schemas/API_Entities_Insurance_EhrPlan"
          },
          "subscriber": {
            "$ref": "#/components/schemas/API_V2_Entities_Insurance_Subscriber"
          }
        }
      },
      "API_Entities_Insurance_EhrPlan": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 18,
            "description": "Plan id"
          },
          "payer_id": {
            "type": "string",
            "example": "87726",
            "description": "A unique ID number that is assigned to an insurance company for the purpose of transmitting provider claims electronically",
            "nullable": true
          },
          "name": {
            "type": "string",
            "example": "United Healthcare",
            "description": "Plan name",
            "nullable": true
          },
          "address": {
            "type": "string",
            "example": "123 Law St",
            "description": "Street address",
            "nullable": true
          },
          "address2": {
            "type": "string",
            "example": "85335, North East",
            "description": "Street address 2",
            "nullable": true
          },
          "city": {
            "type": "string",
            "example": "New York",
            "description": "City",
            "nullable": true
          },
          "state": {
            "type": "string",
            "example": "NY",
            "description": "2 letter state code",
            "nullable": true
          },
          "zip_code": {
            "type": "string",
            "example": "54700",
            "description": "Zip code",
            "nullable": true
          },
          "country_code": {
            "type": "string",
            "example": "US",
            "description": "2 letter country code",
            "nullable": true
          },
          "group_num": {
            "type": "string",
            "example": "12345",
            "description": "Group number",
            "nullable": true
          },
          "employer_name": {
            "type": "string",
            "example": "Walmart",
            "description": "Employer name",
            "nullable": true
          },
          "foreign_id": {
            "type": "string",
            "example": "1",
            "description": "Identifier NexHealth uses to uniquely match this record to its counterpart in the integrated EHR. How it is derived differs between EHRs and may change; treat it as an opaque string and do not parse it.",
            "nullable": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "Insurance Plan update date in UTC"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "example": "2024-09-15T11:21:26.003Z",
            "description": "The UTC date and time the insurance plan was deleted. Null unless the plan is soft-deleted; deleted plans are only returned when include_deleted is true",
            "nullable": true
          }
        }
      },
      "API_V2_Entities_Ledger_AdjustmentBasic": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 113,
            "description": "Resource id"
          },
          "value": {
            "$ref": "#/components/schemas/API_V2_Entities_Price"
          },
          "patient_id": {
            "type": "integer",
            "format": "int32",
            "example": 3,
            "description": "The ID of the patient that this item is for"
          },
          "provider_id": {
            "type": "integer",
            "format": "int32",
            "example": 15,
            "description": "The ID of the provider that this item is for"
          },
          "procedure_id": {
            "type": "integer",
            "format": "int64",
            "example": 42,
            "description": "The ID of the procedure that this item is for"
          },
          "date": {
            "type": "string",
            "format": "date",
            "example": "2020-06-05",
            "description": "The date of this line item as it appears in the EHR"
          },
          "notes": {
            "type": "string",
            "description": "Notes attached to this item"
          },
          "directionality": {
            "type": "string",
            "enum": [
              "credit",
              "debit"
            ],
            "example": "credit",
            "description": "The direction that this item's value applies to the patient's overall balance.\n\nWith respect to the patient, adjustments can subtract from the overall balance (credits) or add to the overall balance (debits).\n"
          }
        }
      },
      "API_V2_Entities_Ledger_ChargeBasic": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 113,
            "description": "Resource id"
          },
          "value": {
            "$ref": "#/components/schemas/API_V2_Entities_Price"
          },
          "patient_id": {
            "type": "integer",
            "format": "int32",
            "example": 3,
            "description": "The ID of the patient that this item is for"
          },
          "provider_id": {
            "type": "integer",
            "format": "int32",
            "example": 15,
            "description": "The ID of the provider that this item is for"
          },
          "procedure_id": {
            "type": "integer",
            "format": "int64",
            "example": 42,
            "description": "The ID of the procedure that this item is for"
          },
          "date": {
            "type": "string",
            "format": "date",
            "example": "2020-06-05",
            "description": "The date of this line item as it appears in the EHR"
          },
          "notes": {
            "type": "string",
            "description": "Notes attached to this item"
          }
        }
      },
      "API_V2_Entities_Ledger_PaymentBasic": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 113,
            "description": "Resource id"
          },
          "value": {
            "$ref": "#/components/schemas/API_V2_Entities_Price"
          },
          "patient_id": {
            "type": "integer",
            "format": "int32",
            "example": 3,
            "description": "The ID of the patient that this item is for"
          },
          "provider_id": {
            "type": "integer",
            "format": "int32",
            "example": 15,
            "description": "The ID of the provider that this item is for"
          },
          "procedure_id": {
            "type": "integer",
            "format": "int64",
            "example": 42,
            "description": "The ID of the procedure that this item is for"
          },
          "date": {
            "type": "string",
            "format": "date",
            "example": "2020-06-05",
            "description": "The date of this line item as it appears in the EHR"
          },
          "notes": {
            "type": "string",
            "description": "Notes attached to this item"
          }
        }
      },
      "API_V2_Entities_PatientAddress": {
        "type": "object",
        "properties": {
          "line_1": {
            "type": "string",
            "example": "333 Bush Street",
            "description": "Address line 1",
            "nullable": true
          },
          "line_2": {
            "type": "string",
            "example": "Apt 4B",
            "description": "Address line 2",
            "nullable": true
          },
          "postal_code": {
            "type": "string",
            "example": "20814",
            "description": "Zip code",
            "nullable": true
          },
          "city": {
            "type": "string",
            "example": "New York",
            "description": "City",
            "nullable": true
          },
          "region": {
            "type": "string",
            "example": "NY",
            "description": "State",
            "nullable": true
          }
        }
      },
      "API_V2_Entities_PatientDetailed_Response": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "example": false,
            "description": "Indicates the success or failure of the request"
          },
          "description": {
            "type": "string",
            "example": "Description",
            "description": "Additional context on the request to help with debugging."
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "Error message"
            ],
            "description": "Any errors that occur during the execution of the request."
          },
          "data": {
            "$ref": "#/components/schemas/API_V2_Entities_PatientDetailed"
          },
          "count": {
            "type": "integer",
            "format": "int32",
            "example": 2,
            "description": "Number of total objects, in case of collection."
          }
        },
        "description": "API_V2_Entities_PatientDetailed_Response model"
      },
      "API_V2_Entities_PatientDetailed": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 415,
            "description": "User id"
          },
          "email": {
            "type": "string",
            "example": "Amy.Ramos@nexhealth.com",
            "description": "User email",
            "nullable": true
          },
          "first_name": {
            "type": "string",
            "example": "John",
            "description": "First name"
          },
          "middle_name": {
            "type": "string",
            "example": "Anthony",
            "description": "Middle name",
            "nullable": true
          },
          "last_name": {
            "type": "string",
            "example": "Smith",
            "description": "Last name"
          },
          "name": {
            "type": "string",
            "example": "John Smith",
            "description": "Full name"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "User creation date in UTC"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "User last updation date in UTC"
          },
          "institution_id": {
            "type": "integer",
            "format": "int32",
            "example": 105,
            "description": "The institution this user belongs to"
          },
          "foreign_id": {
            "type": "string",
            "example": "100437",
            "description": "Identifier NexHealth uses to uniquely match this record to its counterpart in the integrated EHR. How it is derived differs between EHRs and may change; treat it as an opaque string and do not parse it.",
            "nullable": true
          },
          "foreign_id_type": {
            "type": "string",
            "example": "--DataSource-",
            "description": "Foreign Id type is a unique string identifier for the integrated system"
          },
          "bio": {
            "type": "object",
            "example": {
              "city": "New York",
              "state": "NY",
              "gender": "Female",
              "zip_code": "20814",
              "new_patient": false,
              "non_patient": true,
              "phone_number": "5163042196",
              "date_of_birth": "1964-05-03",
              "address_line_1": "",
              "address_line_2": "",
              "street_address": "",
              "cell_phone_number": "",
              "home_phone_number": "",
              "work_phone_number": ""
            },
            "description": "Patient biographical data, fields shown in our example response represent all possible data we retrieve but depending on system and what is actually saved in the health records system you cannot assume any field will consistently be returned"
          },
          "inactive": {
            "type": "boolean",
            "example": false,
            "description": "Is the user inactivated?"
          },
          "last_sync_time": {
            "type": "string",
            "format": "date-time",
            "example": "2024-04-12T10:30:00Z",
            "description": "The most recent time the resource's data changed meaningfully at the source",
            "nullable": true
          },
          "guarantor_id": {
            "type": "integer",
            "format": "int32",
            "example": 472,
            "description": "User id of this patient's responsible party",
            "nullable": true
          },
          "billing_type": {
            "type": "string",
            "example": "Standard Billing - finance charges",
            "description": "Used by practices in some integrated systems to categorize and filter patients when creating reports, requesting payments, and performing other related office tasks. Some integrated systems call this an account type rather than a billing type",
            "nullable": true
          },
          "chart_id": {
            "type": "string",
            "example": "017407",
            "description": "User-facing ID for referencing patient data, used in some integrated systems. Depending on the system, the chart ID supplements or replaces the foreign_id as the ID visible to EHR users",
            "nullable": true
          },
          "preferred_language": {
            "type": "string",
            "example": "es",
            "description": "Patient's preferred language as an ISO 639-1 code, if specified in the integrated system",
            "nullable": true
          },
          "preferred_locale": {
            "type": "string",
            "example": "es",
            "description": "The patient's preferred language setting used for displaying NexHealth forms and communications",
            "nullable": true
          },
          "location_ids": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int32"
            },
            "example": [
              101,
              102,
              103
            ],
            "description": "Array of location ids associated with the user"
          },
          "children": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_User"
            },
            "description": "Patient children"
          },
          "guarantor": {
            "$ref": "#/components/schemas/API_V2_Entities_User"
          },
          "last_visited_appointment": {
            "$ref": "#/components/schemas/API_V2_Entities_AppointmentBasic"
          },
          "upcoming_appts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_AppointmentBasic"
            },
            "description": "Scheduled appointments for one year. Not included by default"
          },
          "procedures": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_Procedure"
            },
            "description": "Procedures assigned to the patient. Not included by default"
          },
          "insurance_coverages": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_Insurance_PatientCoverageForIndividual"
            },
            "description": "Insurance coverages"
          },
          "adjustments": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_Ledger_AdjustmentBasic"
            },
            "description": "Payment ledger adjustments"
          },
          "charges": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_Ledger_ChargeBasic"
            },
            "description": "Payment ledger charges"
          },
          "payments": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_Ledger_PaymentBasic"
            },
            "description": "Payment ledger payments"
          },
          "patient_alerts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_PatientAlert"
            },
            "description": "Patient Alerts"
          },
          "appointments": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_AppointmentBasic"
            },
            "description": "Appointments for patient within date range"
          },
          "address": {
            "$ref": "#/components/schemas/API_V2_Entities_PatientAddress"
          },
          "provider": {
            "$ref": "#/components/schemas/API_V2_Entities_User"
          }
        }
      },
      "API_V2_Entities_PatientAlert": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 10,
            "description": "Patient Alert id"
          },
          "patient_id": {
            "type": "integer",
            "format": "int32",
            "example": 101,
            "description": "Id of the associated patient"
          },
          "note": {
            "type": "string",
            "example": "Patient is late on payment",
            "description": "The note for the patient alert"
          },
          "disabled_at": {
            "type": "string",
            "format": "date-time",
            "example": "2024-02-05T20:16:57.007Z",
            "description": "The time that the alert was disabled in UTC"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "example": "2023-11-11T10:11:01.007Z",
            "description": "The time that the alert was created in UTC"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2024-01-14T14:11:01.007Z",
            "description": "The time that the alert was last updated in UTC"
          }
        }
      }
    }
  }
}
```